Works with 2000, not 2004

Discussion in 'AutoCAD' started by Phil vK, Oct 23, 2004.

  1. Phil vK

    Phil vK Guest

    Could anyone please look at this routine and tell me why it works in Acad 2004/2005 but not in Acad 2000? It draws an attributed detail reference and then puts a circled around the area being referenced. (In 2000, the second circle has a point on the inert point for the inserted block).

    (DEFUN C:DETBUB2 (/ SC SEC SHT PT2 RAD PT3 LR P1)
    (SETVAR "CMDECHO" 0)
    (SETVAR "ATTDIA" 1)
    (SETQ P1 (GETPOINT "\N Pick center point of bubble: "))
    (SETQ SC (GETVAR "DIMSCALE"))
    (if (= (getvar "menuname") "EUROCAD")(setq sc (* 0.0833 0.3048 (getvar "dimscale"))))
    (COMMAND "INSERT" "Q:/ACAD/BLOCKS/BUB2" P1 SC "" "")
    (SETQ PT2 (GETPOINT P1 "\n Pick endpoint of flag: "))
    (SETQ ANG (ANGLE P1 PT2))
    (SETQ RAD (* 0.3125 SC))
    (SETQ PT3 (POLAR P1 ANG RAD))
    (COMMAND "LINE" PT3 PT2 "")
    (COMMAND "CIRCLE" "2P" "@")
    )

    Thanks
    Phil
     
    Phil vK, Oct 23, 2004
    #1
  2. Phil vK

    Jack G Guest

    I think you have to use (command "-insert" ... instead of (command
    "insert... .

    2004/2005 but not in Acad 2000? It draws an attributed detail reference and
    then puts a circled around the area being referenced. (In 2000, the second
    circle has a point on the inert point for the inserted block).
     
    Jack G, Oct 23, 2004
    #2
  3. Phil vK

    Phil vK Guest

    Jack - that didn't do it...I'll keep trying..thanks anyhow!

    Phil
     
    Phil vK, Oct 24, 2004
    #3
  4. Phil vK

    CJ Follmer Guest

    works fine in 2002, perhaps you need to turn off Osnaps before running.

    cj


    2004/2005 but not in Acad 2000? It draws an attributed detail reference and
    then puts a circled around the area being referenced. (In 2000, the second
    circle has a point on the inert point for the inserted block).
     
    CJ Follmer, Oct 25, 2004
    #4
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.